import * as plugins from './tink.plugins';

import { TinkUser } from './tink.classes.tinkuser';

/**
 * a provider consent maps to tinks bank consents
 */
export class TinkProviderConsent {
  // STATIC
  public static async getProviderConsentsForUser(tinkUserRefArg: TinkUser) {
    const returnProviderConsents: TinkProviderConsent[] = [];
    const authorizationCode = await tinkUserRefArg.tinkAccountRef.getUserAuthorizationCode(
      tinkUserRefArg.externalUserIdArg,
      tinkUserRefArg.tinkAccountRef.clientId,
      'accounts:read,balances:read,transactions:read,provider-consents:read'
    );
    const accessToken = await tinkUserRefArg.tinkAccountRef.getUserAccessToken(authorizationCode);
    const responseData = await tinkUserRefArg.tinkAccountRef.request({
      urlArg: '/api/v1/provider-consents',
      accessToken,
      methodArg: 'GET',
      payloadArg: null
    })
    console.log(responseData);
    return returnProviderConsents;
  }

  // INSTANCE
  constructor(tinkUserRefArg: TinkUser) {}
}
